<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org">
    
    <xsl:output method="text"/>
    <xsl:param name="category" nk:class="java.lang.String"/>
    
	<xsl:template match="/">
	
		<xsl:choose>
			<xsl:when test="$category='scheme'"><xsl:text>
			This section provides a listing of common schemes used in core NetKernel technology or provided
			by installed module functionality.
			</xsl:text></xsl:when>
			<xsl:when test="$category='transport'">	<xsl:text>
			This section provides a listing of all installed transports. [[doc:glossary:transport|Transports]] are endpoints
			which inject root requests into NetKernel upon certain external stimuli. 
			</xsl:text></xsl:when>
			<xsl:when test="$category='runtime'"><xsl:text>
			This section provides a listing of all installed language runtimes. [[doc:glossary:languageruntime|Language runtimes]]
			are endpoints which execute specific programming languages.
			</xsl:text></xsl:when>
			<xsl:when test="$category='accessor'"><xsl:text>
			The section provides a listing of all modules providing either URI addressable accessors or prototypes for
			instantiating accessor instances.
			</xsl:text></xsl:when>
			<xsl:when test="$category='representation'"><xsl:text>
			The section provides a listing of all installed specific [[doc:glossary:representation|representations]]. In addition to these representations
			any regular Java class can be used if it is immutable, this includes most of the java.lang primitives.
			</xsl:text></xsl:when>
		</xsl:choose>
	
		<xsl:for-each select="/spaces/space/docs/doc[contains(category,$category)]">
* [[<xsl:value-of select="id"/>|<xsl:value-of select="title"/>]] - <xsl:value-of select="desc"/>
		</xsl:for-each>
    </xsl:template>	

</xsl:stylesheet>
