<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    
	<xsl:param name="docid" nk:class="java.lang.String"/>
	<xsl:param name="bookid" nk:class="java.lang.String"/>
	<xsl:param name="doclist"/>
	<xsl:variable name="docs" select="$doclist//doc"/>
	
	<xsl:template match="/book">
		<div class="book-navbar">
			<ol class="breadcrumb">
				<li><xrl:include identifier="arg:nav" /><a href="/books/" style="margin-left: 1em;">Books</a></li>
				<xsl:apply-templates select="(toc//item[@id=$docid])[1]"/>
  			</ol>
		</div>
    </xsl:template>
    
    <xsl:template match="item">
    	<xsl:choose>
    	<xsl:when test="@id=$docid">
    		<xsl:for-each select="ancestor-or-self::*[name()='item']">
				<li>
					<xsl:choose>
						<xsl:when test="position()=last()">
							<xsl:attribute name="class">active</xsl:attribute>
								<xsl:choose>
									<xsl:when test="@title">
										<xsl:value-of select="@title"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:variable name="id" select="@id"/>
										<xsl:value-of select="$docs[id=$id]/title"/>
									</xsl:otherwise>
								</xsl:choose>
						</xsl:when>
						<xsl:otherwise>
							<a href="/book/view/{$bookid}/{@id}">
								<xsl:choose>
									<xsl:when test="@title">
										<xsl:value-of select="@title"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:variable name="id" select="@id"/>
										<xsl:value-of select="$docs[id=$id]/title"/>
									</xsl:otherwise>
								</xsl:choose>
								</a>
						</xsl:otherwise>
					</xsl:choose>
				</li>
			</xsl:for-each>
    	</xsl:when>
    	</xsl:choose>
    </xsl:template>
	
</xsl:stylesheet>
