<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
	
	<xsl:key name="item-by-value" match="id" use="."/>
	
	<xsl:template match="/spaces">
		<div class="panel panel-default">
				<link type="text/css" href="/nkse/style/css/jquery-ui-latest.css" rel="stylesheet" />
				<link type="text/css" href="/nkse/style/css/jquery-datatables-latest.css" rel="stylesheet" />
	
				<link type="text/css" rel="stylesheet" href="/tools/ae/pub/explore.css"/>
	
    			<script type="text/javascript" src="/nkse/style/js/jquery-datatables-latest.js">_</script>
    			<script type="text/javascript" src="/tools/ae/pub/main.js">_</script>
			    
				
			<script type="text/javascript">
			<xsl:comment>
			$(document).ready(function()
			{	a = { 'bLengthChange': false, 'bSort': true, 'bJQueryUI': true,
				'iDisplayLength': -1, 'oLanguage': { 'sSearch': "Filter:"}, 
				'aoColumnDefs': [
        			{ 'sType': 'numeric', 'aTargets' : [1] }
    			]
				};
				$("#booklist").dataTable(a);
			}
			);
			</xsl:comment>
			</script>
			<style>
.template-lbi { margin: 2px 4px 2px 4px; }
			</style>

			<table id="booklist" width="100%">
				<thead>
					<tr>
						<th>Book</th>
						<th>Pages</th>
					</tr>
				</thead>
				<tbody>				
				<xsl:for-each select="//book/id">
					<xsl:if test="generate-id() = generate-id(key('item-by-value', normalize-space(.)))">
						<tr>
							<td>
								<a href="/book/view/{.}/" class="template-lbi">
									<div style="display: table-row;">
										<div style="float: left; display:table-cell; vertical-align:middle;">
											<img border="0" width="48" height="48" style="margin-right: 4px; margin-left: 2px;" src="/book/icon/{.}"/>
										</div>
										<div style="display:table-cell; vertical-align:middle;" >
											<p class="template-icon-title">
												<xsl:value-of select="../title" />
											</p>
											<p class="template-icon-subtitle">
												<xsl:value-of select="../desc" />
											</p>
										</div>
									</div>
								</a>
							</td>
							<td>
								<div>
										<xsl:value-of select="count(../toc//item)"/>
								</div>
							</td>
						</tr>
						</xsl:if>
				</xsl:for-each>
				</tbody>
			</table>
		</div>
	</xsl:template>
	
</xsl:stylesheet>
