<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
	
	<xsl:param name="search" nk:class="java.lang.String"/>
	
	<xsl:template match="/hits">
		<div>
			<xsl:choose>
				<xsl:when test="hit">
					<table cellspacing="0" padding="0" class="titleframe">
						<xsl:apply-templates/>
					</table>
				</xsl:when>
				<xsl:otherwise>
					<div class="titleframe">Inline search found no hits.</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
    </xsl:template>
    
    <xsl:template match="hit">
    	<xsl:variable name="class">
			<xsl:choose>
				<xsl:when test="position() mod 2 = 0">
					<xsl:text>evenrow</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>oddrow</xsl:text>
				</xsl:otherwise>  
			</xsl:choose>
		</xsl:variable>
    	<tr class="{$class}">
    		<td>
    		<table>
    		<tr>
    			<td>
    				<a href="/tools/search/resolver?resolverID={field[name='resolverID']/value}&amp;documentID={field[name='documentID']/value}"><xsl:value-of select="field[name='title']/value"/></a>
    			</td>
		    </tr>
		    <tr>
    	<td colspan="2"><span style="font-size: 80%; padding-left: 40px;"><xsl:value-of select="field[name='desc']/value"/></span></td>
    	</tr>
		    </table>
		   </td>
    	<td/>
    	</tr>
    	
    </xsl:template>
    
	<xsl:template match="text()"/>
	
</xsl:stylesheet>
