var radius = 884;
var aspectRatio=0.8;
var yoffset=0.42;
var xoffset=0.46;
var data = [1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1];
var rotate=0;
var maxLen=12;
var br=radius*0.3;
var scaling=0.48;
    
    var svg2 = d3.select("#chart")
        .append("svg:svg") //create the SVG element inside the <body>
            .attr("width", radius )
    		.attr("height", radius * aspectRatio);
	
	
	//create radial background fill		
	var vis=svg2.append("svg:g") //make a group to hold our pie chart
        .data([data]) //associate our data with the document
            .attr("transform", "translate(" + radius*xoffset + "," + radius*aspectRatio*yoffset+ ")");

    var arc = d3.svg.arc() //this will create <path> elements for us using arc data
        .outerRadius(br-1);

    var pie = d3.layout.pie() //this will create arc data for us given a list of values
        .value(function(d) { return d; }); //we must tell it out to access the value of each element in our data array

    var arcs = vis.selectAll("g.slice") //this selects all <g> elements with class slice (there aren't any yet)
        .data(pie) //associate the generated pie data (an array of arcs, each having startAngle, endAngle and value properties)
        .enter() //this will create <g> elements for every "extra" data element that should be associated with a selection. The result is creating a <g> for every object in the data array
            .append("svg:g") //create a group to hold each slice (we will have a <path> and a <text> element associated with each slice)
                .attr("class", "slice"); //allow us to style things in the slices (like text)

        arcs.append("svg:path")
                //.attr("fill", function(d, i) { return color(i); } ) //set the color for each slice to be chosen from the color function defined above
				.attr("fill", function (d,i) { var v=i*13; return d3.rgb(v,v,255-v);})
                .attr("d", arc) //this creates the actual SVG path using the associated data (pie) with the arc drawing function
        		.attr("class","segment");

//create curved text
var vis3 =svg2.append("g")
   .attr("transform", "translate(" + (radius*xoffset) + "," + radius*aspectRatio*yoffset + ")");
   
var path=vis3.append("defs").append("path")
	.attr("id","myPath1")
	.attr("d","M0,-"+br+"  A"+br+","+br+" 0 0,1 0,"+br);
var text=vis3.append("text")
    .attr("class", "bgText")
	.append("textPath")
	.attr("xlink:href","#myPath1")
	.text("start here");

	
				
	
var vis =svg2.append("g")
   .attr("transform", "translate(" + radius*xoffset + "," + radius*aspectRatio*yoffset + ")");
   
var tree = d3.layout.tree()
    .size([360, radius*scaling])
    .separation(function(a, b) { return (a.parent == b.parent ? 1 : 2) / a.depth; });

var diagonal = d3.svg.diagonal.radial()
    .projection(function(d) { return [d.y, ((rotate + d.x) / 180) * Math.PI]; });
	
var visf=function(d)
{
	if (visualisation=="anytime")
	{	return d.count>0?"vnode":"node";
	}
	else if (visualisation=="hour")
	{	return (d.last<3600000)?"vnode":"node";
	}
	else if (visualisation=="day")
	{	return (d.last<86400000)?"vnode":"node";
	}
	else if (visualisation=="week")
	{	return (d.last<604800000)?"vnode":"node";
	}
	else if (visualisation=="month")
	{	return (d.last<2678400000)?"vnode":"node";
	}
	else if (visualisation=="popular10")
	{	return (d.rank<10)?"vnode":"node";
	}
	else if (visualisation=="popular25")
	{	return (d.rank<25)?"vnode":"node";
	}
	else if (visualisation=="never")
	{	return (d.count==0)?"vnode":"node";
	}
	else
	{	return "node";
	}
}	
	
d3.json("data", function(json)
{
  var nodes = tree.nodes(json);

  var link = vis.selectAll("path.link")
      .data(tree.links(nodes))
    .enter().append("path")
      .attr("class", "link")
      .attr("d", diagonal);

  var node = vis.selectAll("g.node")
      .data(nodes)
    .enter().append("g")
   	   .attr("class",function(d) { return visf(d); })
      .attr("transform", function(d) { return "rotate(" + ( rotate + d.x - 90) + ")translate(" + d.y + ")"; })
	  .attr("onclick",function(d) { return "window.location.href='"+d.uri+"'" })

	node.filter(function(d, i) { return d.uri.indexOf("/book")<0; })
  		.append("circle")
  		.attr("r", 4.5);

	node.filter(function(d, i) { return d.uri.indexOf("/book/")==0; })
  		.append("image")
    .attr("class", "bookImage")
		.attr("width",24)
		.attr("height",24)
		.attr("x",-12)
		.attr("y",-12)
	      .attr("transform", function(d) { return(d.x+rotate)%360 < 180 ? "translate(-8)" : "rotate(180)translate(8)"; })
  		.attr("xlink:href", function(d) { return "/book/icon/"+d.id;} );


node.append("text")
	  .attr("class",function(d){
	  	if (d.uri.indexOf("/books/")==0) return "centerText";
		else return  d.uri.indexOf("/book")==0?"bookText":"docText";
		} )
	  .attr("dx","0")
      .attr("dy", ".31em")
      .attr("text-anchor", function(d) { return (d.x+rotate)%360 < 180 ? "start" : "end"; })
      .attr("transform", function(d) {
	  		if (d.uri.indexOf("/books/")==0) return "rotate(-82.9)translate(-55,10)";
	  	 	else return(d.x+rotate)%360 < 180 ? "translate(6)" : "rotate(180)translate(-6)";
		 })
      .text(function(d) { name=d.name.length>maxLen?d.name.substring(0,maxLen)+"~":d.name; return name; });
 
 
});